org.omg.CORBA

## Class MARSHAL

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.MARSHAL

- All Implemented Interfaces:
    Serializable

      public final class MARSHAL
      extends SystemException

  A request or reply from the network is structurally invalid. This error typically indicates a bug in either the client-side or server-side run time. For example, if a reply from the server indicates that the message contains 1000 bytes, but the actual message is shorter or longer than 1000 bytes, the ORB raises this exception. `MARSHAL` can also be caused by using the DII or DSI incorrectly, for example, if the type of the actual parameters sent does not agree with IDL signature of an operation.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  See the section Minor Code Meanings to see the minor codes for this exception.

  Since:
    JDK1.2

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MARSHAL()` Constructs a `MARSHAL` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
    `MARSHAL(int minor, CompletionStatus completed)` Constructs a `MARSHAL` exception with the specified minor code and completion status.
    `MARSHAL(String s)` Constructs a `MARSHAL` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
    `MARSHAL(String s, int minor, CompletionStatus completed)` Constructs a `MARSHAL` exception with the specified description message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MARSHAL

          public MARSHAL()

      Constructs a `MARSHAL` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

    - #### MARSHAL

          public MARSHAL(String s)

      Constructs a `MARSHAL` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a description of the exception

    - #### MARSHAL

          public MARSHAL(int minor,
                         CompletionStatus completed)

      Constructs a `MARSHAL` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### MARSHAL

          public MARSHAL(String s,
                         int minor,
                         CompletionStatus completed)

      Constructs a `MARSHAL` exception with the specified description message, minor code, and completion status.
      Parameters:
        `s` - the String containing a description message
        `minor` - the minor code
        `completed` - the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.